Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000597Core InformReleasing, bibliographic data, cBlorbpublic2011-03-02 16:442014-05-07 07:34
Reportervimes 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000597: Multi-line footnote comment can cause garbled website "source text"
DescriptionThe inclusion of a multi-line comment with the 'footnote' style can cause strange behavior of the source text page of the website.

The example given produces a doubling of some words in the released web page / source text view.
Minimal Source Text To Reproduce
This is a room.

Release along with a website and the source text.


The release number is 1. [* abc abc:
def def]
Additional InformationResulting web page (note the "[1] source text."):

This is a room.
Release along with a website and the source text.
The release number is 1. [1] source text.
def def]
Note

[1]. abc abc

Tagswrongeffect
Effect(cosmetic) Index is created incorrectly
Attached Files

- Relationships

-  Notes
(0001387)
graham (administrator)
2011-10-16 04:13

This is a combination bug (the spurious extra source text after the footnote cue) and restriction (comments being limited to a single file line in the source text). I've fixed the bug and lifted the restriction.

- Issue History
Date Modified Username Field Change
2011-03-02 16:44 vimes New Issue
2011-03-02 17:19 jmcgrew Status new => acknowledged
2011-03-02 17:19 jmcgrew Tag Attached: wrongeffect
2011-03-02 19:32 EmacsUser Status acknowledged => confirmed
2011-10-16 04:13 graham Note Added: 0001387
2011-10-16 04:13 graham Status confirmed => resolved
2011-10-16 04:13 graham Resolution open => fixed
2011-10-16 04:13 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker